### Class

# Ide SnippetContext

#### Description

    final class Ide.SnippetContext : GObject.Object {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### ide_snippet_context_new

No description available.

#### Instance methods

###### ide_snippet_context_add_shared_variable

No description available.

###### ide_snippet_context_add_variable

No description available.

###### ide_snippet_context_clear_variables

No description available.

###### ide_snippet_context_dump

No description available.

###### ide_snippet_context_emit_changed

No description available.

###### ide_snippet_context_expand

No description available.

###### ide_snippet_context_get_variable

No description available.

###### ide_snippet_context_set_line_prefix

No description available.

###### ide_snippet_context_set_tab_width

No description available.

###### ide_snippet_context_set_use_spaces

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### Ide.SnippetContext::changed

No description available.

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeSnippetContextClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.